org.gnome.Calls.Call: Calls Reference Manual

## org.gnome.Calls.Call org.gnome.Calls.Call |

## Methods

    Accept   ();
    Hangup   ();
    SendDtmf (IN  s tone);
    Silence  ();

## Properties

    Inbound      readable   b
    State        readable   u
    Id           readable   s
    DisplayName  readable   s
    ImagePath    readable   s
    Protocol     readable   s
    Encrypted    readable   b
    CanDtmf      readable   b
    Hints        readable   a{sv}

## Description

This objects lets applications accept, reject calls and query call properties like the call state, the id of the remote peer and more.

## Method Details

### The Accept() method

    Accept ();

Accept the incoming call.

### The Hangup() method

    Hangup ();

Hang up the call

### The SendDtmf() method

    SendDtmf (IN  s tone);

Send DTMF tone.

`IN s `tone``: | A one character string. One of: 0-9,A-D,* or #.

### The Silence() method

    Silence ();

Silence the ringing of incoming call

## Property Details

### The "Inbound" property

    Inbound  readable   b

### The "State" property

    State  readable   u

State of the call. Valid states: 0 = Unknown, 1 = Active, 2 = Held, 3 = Dialing, 4 = Alerting (deprecated), 5 = Incoming, 6 = Waiting (deprecated), 7 = Disconnected

Unrecognized values should be considered equal to Unknown.

### The "Id" property

    Id  readable   s

The ID identifying the call, e.g. a phone number

### The "DisplayName" property

    DisplayName  readable   s

The DisplayName of the calling party, e.g. from the address book

### The "ImagePath" property

    ImagePath  readable   s

The path to an (avatar) image to display for this call.

### The "Protocol" property

    Protocol  readable   s

The protocol used for this call, e.g. "tel" or "sip".

### The "Encrypted" property

    Encrypted  readable   b

Whether this call is encrypted.

### The "CanDtmf" property

    CanDtmf  readable   b

Whether this call is capable of sending DTMF.

### The "Hints" property

    Hints  readable   a{sv}

Additional property dictionary with hints. "ui-active" hints whether the UI should be shown or not.